# Submit a program with specified parameters Submits a program in Zuora Revenue and returns the job ID. Endpoint: POST /api/integration/v1/{orgId}/programs/{programId}/submit Version: 2025-08-06 ## Path parameters: - `programId` (integer, required) The ID of the program that is to be submitted in Zuora Revenue. You can get the program ID by using the "Get list of available programs and program parameters" operation. - `orgId` (integer, required) The ID of the organization for which the program is to be submitted. You can get the organization ID by using the "Get list of available organizations" operation. ## Request fields (application/json; charset=utf-8): - `parameters` (array) - `parameters.parameter_id` (integer) - `parameters.sequence` (integer) - `parameters.parameter_value` (string) ## Response 200 fields (application/json): - `data` (object) - `data.actual_start_date` (string) - `data.crtd_by` (string) - `data.crtd_dt` (string) - `data.error_message` (string) - `data.id` (integer) - `data.sec_atr_val` (integer) - `data.status` (string) - `data.updt_dt` (string) - `success` (boolean) ## Response 400 fields (application/json): - `error` (string) Enum: "OrgId does not match the Org assigned to the role", "This Program is not supported at the moment" - `success` (boolean) ## Response 403 fields (application/json): - `error` (string) Enum: "OrgId does not match the Org assigned to the role", "This Program is not supported at the moment" - `success` (boolean)